Enum.EnumDesc (Java SE 12 & JDK 12 )
Keywords: java.lang.Enum.EnumDesc class

Module java.base
Package java.lang

## Class Enum.EnumDesc<E extends Enum<E>>

- java.lang.Object
- - java.lang.constant.DynamicConstantDesc<E>
  - - java.lang.Enum.EnumDesc<E>

- Type Parameters:
    `E` - the type of the enum constant
  All Implemented Interfaces:
    `ConstantDesc`
  Enclosing class:
    Enum<E extends Enum<E>>

      public static final class Enum.EnumDesc<E extends Enum<E>>
      extends DynamicConstantDesc<E>

  A nominal descriptor for an `enum` constant.
  Since:
    12

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static <E extends Enum<E>> Enum.EnumDesc<E>` | `of​(ClassDesc enumClass, String constantName)` | Returns a nominal descriptor for the specified `enum` class and name

    - ### Methods declared in class java.lang.constant.DynamicConstantDesc

      `bootstrapArgs, bootstrapArgsList, bootstrapMethod, constantName, constantType, equals, of, of, ofCanonical, ofNamed, toString`

    - ### Methods declared in class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface java.lang.constant.ConstantDesc

      `resolveConstantDesc`

- - ### Method Detail

    - #### of

          public static <E extends Enum<E>> Enum.EnumDesc<E> of​(ClassDesc enumClass,
                                                                String constantName)

      Returns a nominal descriptor for the specified `enum` class and name
      Type Parameters:
        `E` - the type of the enum constant
      Parameters:
        `enumClass` - a `ClassDesc` describing the `enum` class
        `constantName` - the unqualified name of the enum constant
      Returns:
        the nominal descriptor
      Throws:
        `NullPointerException` - if any argument is null
      Since:
        12
      See The Java™ Virtual Machine Specification:
        4.2.2 Unqualified Names